$(function() {
    $('#typeid').change(_typeChange);
    $('#isarchivewhennotexists').click(function() { $('#isdeletewhennotexists').removeAttr('checked'); });
    $('#isdeletewhennotexists').click(function() { $('#isarchivewhennotexists').removeAttr('checked'); });
    
    function _typeChange() {
        if ($(this).val() == '') {
            $('#template').hide();
            $('#filef').hide();
        }
        else {
            $('#template').attr('href', 'assetimport.ivp/generatetemplate/' + $(this).val()).show();
            $('#filef').show();
        }
    }
});

function showRows(selector) {
    if (selector == 'total')
        $('#result .tr').show();
    else {
        $('#result .tr').hide();
        $('#result .' + selector).show();
    }
    return false;
}